## net.sf.saxon.functions
Class Component

    java.lang.Object
      net.sf.saxon.expr.ComputedExpression
          net.sf.saxon.expr.FunctionCall
              net.sf.saxon.functions.SystemFunction
                  net.sf.saxon.functions.Component

All Implemented Interfaces:
  Container, Expression, InstructionInfoProvider, java.io.Serializable, javax.xml.transform.SourceLocator

public class Component
extends SystemFunction

This class supports the get_X_from_Y functions defined in XPath 2.0

See Also:
  Serialized Form

Field Summary
`static int` `DAY`
`static int` `HOURS`
`static int` `LOCALNAME`
`static int` `MICROSECONDS`
`static int` `MINUTES`
`static int` `MONTH`
`static int` `NAMESPACE`
`static int` `PREFIX`
`static int` `SECONDS`
`static int` `TIMEZONE`
`static int` `YEAR`

Fields inherited from class net.sf.saxon.functions.SystemFunction
`operation`

Fields inherited from class net.sf.saxon.expr.FunctionCall
`argument`

Fields inherited from class net.sf.saxon.expr.ComputedExpression
`locationId, staticProperties`

Fields inherited from interface net.sf.saxon.expr.Expression
`EVALUATE_METHOD, ITERATE_METHOD, PROCESS_METHOD`

Constructor Summary
`Component()`

Method Summary
`Item` `evaluateItem(XPathContext context)` Evaluate the expression
`Expression` `simplify(StaticContext env)` Simplify the function call.

Methods inherited from class net.sf.saxon.functions.SystemFunction
`addContextDocumentArgument, checkArguments, computeCardinality, computeSpecialProperties, display, getDetails, getErrorCodeForTypeErrors, getItemType, getRequiredType, main, makeSystemFunction, setDetails, useContextItemAsDefault`

Methods inherited from class net.sf.saxon.expr.FunctionCall
`checkArgumentCount, getDisplayName, getFunctionNameCode, getNumberOfArguments, iterateSubExpressions, optimize, preEvaluate, promote, setArguments, setFunctionNameCode, simplifyArguments, typeCheck`

Methods inherited from class net.sf.saxon.expr.ComputedExpression

`adoptChildExpression, checkPermittedContents, computeDependencies, computeStaticProperties, doPromotion, dynamicError, dynamicError, effectiveBooleanValue, evaluateAsString, getCardinality, getColumnNumber, getConstructType, getDependencies, getExecutable, getImplementationMethod, getInstructionInfo, getIntrinsicDependencies, getLineNumber, getLocationId, getLocationProvider, getParentExpression, getPublicId, getSlotsUsed, getSpecialProperties, getSystemId, hasBadParentPointer, iterate, markTailFunctionCalls, process, resetStaticProperties, setLocationId, setParentExpression, suppressValidation, typeError, typeError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### YEAR

    public static final int YEAR

See Also:
  Constant Field Values

### MONTH

    public static final int MONTH

See Also:
  Constant Field Values

### DAY

    public static final int DAY

See Also:
  Constant Field Values

### HOURS

    public static final int HOURS

See Also:
  Constant Field Values

### MINUTES

    public static final int MINUTES

See Also:
  Constant Field Values

### SECONDS

    public static final int SECONDS

See Also:
  Constant Field Values

### TIMEZONE

    public static final int TIMEZONE

See Also:
  Constant Field Values

### LOCALNAME

    public static final int LOCALNAME

See Also:
  Constant Field Values

### NAMESPACE

    public static final int NAMESPACE

See Also:
  Constant Field Values

### PREFIX

    public static final int PREFIX

See Also:
  Constant Field Values

### MICROSECONDS

    public static final int MICROSECONDS

See Also:
  Constant Field Values

Constructor Detail

### Component

    public Component()

Method Detail

### simplify

    public Expression simplify(StaticContext env)
                        throws XPathException

  Description copied from class: `FunctionCall`
  Simplify the function call. Default method is to simplify each of the supplied arguments and evaluate the function if all are now known.

  Specified by:
    `simplify` in interface `Expression`
  Overrides:
    `simplify` in class `FunctionCall`
  Throws:
    `XPathException`

### evaluateItem

    public Item evaluateItem(XPathContext context)
                      throws XPathException

  Evaluate the expression

  Specified by:
    `evaluateItem` in interface `Expression`
  Overrides:
    `evaluateItem` in class `ComputedExpression`
  Parameters:
    `context` - The context in which the expression is to be evaluated
  Returns:
    the node or atomic value that results from evaluating the expression; or null to indicate that the result is an empty sequence
  Throws:
    `XPathException` - if any dynamic error occurs evaluating the expression